# Copyright (c) 2019 Ste||ar Group
#
# SPDX-License-Identifier: BSL-1.0
# Distributed under the Boost Software License, Version 1.0. (See accompanying
# file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

# File to store the HPX_* cache variables

set(HPX_BINARY_DIR /builddir/build/BUILD/hpx-1.7.1/openmpi)
set(HPX_COMPONENTS component_storage;unordered;partitioned_vector;iostreams;io_counters;memory;process)
set(HPX_CORE_ENABLED_MODULES affinity;allocator_support;asio;assertion;cache;concepts;concurrency;config;config_registry;coroutines;datastructures;debugging;errors;execution_base;filesystem;format;functional;hardware;hashing;ini;io_service;iterator_support;itt_notify;logging;memory;plugin;prefix;preprocessor;properties;schedulers;serialization;static_reinit;statistics;string_util;synchronization;testing;thread_pools;thread_support;threading_base;timing;topology;type_support;util;version)
set(HPX_COROUTINES_WITH_SWAP_CONTEXT_EMULATION OFF)
set(HPX_CXX11_STD_ATOMIC_LIBRARIES atomic)
set(HPX_DATASTRUCTURES_WITH_ADAPT_STD_TUPLE ON)
set(HPX_ENABLED_MODULES affinity;allocator_support;asio;assertion;cache;concepts;concurrency;config;config_registry;coroutines;datastructures;debugging;errors;execution_base;filesystem;format;functional;hardware;hashing;ini;io_service;iterator_support;itt_notify;logging;memory;plugin;prefix;preprocessor;properties;schedulers;serialization;static_reinit;statistics;string_util;synchronization;testing;thread_pools;thread_support;threading_base;timing;topology;type_support;util;version;actions;actions_base;agas;agas_base;async_colocated;async_distributed;async_mpi;batch_environments;checkpoint;checkpoint_base;collectives;command_line_handling;command_line_handling_local;components;components_base;compute;distribution_policies;executors_distributed;include;include_local;init_runtime;init_runtime_local;lcos_distributed;mpi_base;naming;naming_base;performance_counters;program_options;resiliency_distributed;resource_partitioner;runtime_components;runtime_configuration;runtime_distributed;runtime_local;segmented_algorithms;threadmanager;algorithms;async_base;async_combinators;async_local;execution;executors;futures;lcos_local;pack_traversal;resiliency;thread_pool_util;threading;timed_execution)
set(HPX_EXPORT_INTERNAL_TARGETS hpx_private_flags;hpx_public_flags;hpx_full;hpx_interface;hpx_interface_wrap_main;hpx_core;hpx_affinity;hpx_allocator_support;hpx_asio;hpx_assertion;hpx_cache;hpx_concepts;hpx_concurrency;hpx_config;hpx_config_registry;hpx_coroutines;hpx_datastructures;hpx_debugging;hpx_errors;hpx_execution_base;hpx_filesystem;hpx_format;hpx_functional;hpx_hardware;hpx_hashing;hpx_ini;hpx_io_service;hpx_iterator_support;hpx_itt_notify;hpx_logging;hpx_memory;hpx_plugin;hpx_prefix;hpx_preprocessor;hpx_properties;hpx_schedulers;hpx_serialization;hpx_static_reinit;hpx_statistics;hpx_string_util;hpx_synchronization;hpx_testing;hpx_thread_pools;hpx_thread_support;hpx_threading_base;hpx_timing;hpx_topology;hpx_type_support;hpx_util;hpx_version;hpx_actions;hpx_actions_base;hpx_agas;hpx_agas_base;hpx_async_colocated;hpx_async_distributed;hpx_async_mpi;hpx_batch_environments;hpx_checkpoint;hpx_checkpoint_base;hpx_collectives;hpx_command_line_handling;hpx_command_line_handling_local;hpx_components;hpx_components_base;hpx_compute;hpx_distribution_policies;hpx_executors_distributed;hpx_include;hpx_include_local;hpx_init_runtime;hpx_init_runtime_local;hpx_lcos_distributed;hpx_mpi_base;hpx_naming;hpx_naming_base;hpx_performance_counters;hpx_program_options;hpx_resiliency_distributed;hpx_resource_partitioner;hpx_runtime_components;hpx_runtime_configuration;hpx_runtime_distributed;hpx_runtime_local;hpx_segmented_algorithms;hpx_threadmanager;hpx_parallelism;hpx_algorithms;hpx_async_base;hpx_async_combinators;hpx_async_local;hpx_execution;hpx_executors;hpx_futures;hpx_lcos_local;hpx_pack_traversal;hpx_resiliency;hpx_thread_pool_util;hpx_threading;hpx_timed_execution;hpx_init;hpx_wrap;hpx_base_libraries)
set(HPX_EXPORT_TARGETS parcel_coalescing;hpx;wrap_main;plugin;component;component_storage_component;unordered_component;partitioned_vector_component;iostreams_component;io_counters_component;memory_component;process_component)
set(HPX_FILESYSTEM_WITH_BOOST_FILESYSTEM_COMPATIBILITY ON)
set(HPX_FULL_ENABLED_MODULES actions;actions_base;agas;agas_base;async_colocated;async_distributed;async_mpi;batch_environments;checkpoint;checkpoint_base;collectives;command_line_handling;command_line_handling_local;components;components_base;compute;distribution_policies;executors_distributed;include;include_local;init_runtime;init_runtime_local;lcos_distributed;mpi_base;naming;naming_base;performance_counters;program_options;resiliency_distributed;resource_partitioner;runtime_components;runtime_configuration;runtime_distributed;runtime_local;segmented_algorithms;threadmanager)
set(HPX_INTERNAL_ARCH_DETECT arm)
set(HPX_IS_TOP_LEVEL ON)
set(HPX_ITERATOR_SUPPORT_WITH_BOOST_ITERATOR_TRAVERSAL_TAG_COMPATIBILITY OFF)
set(HPX_LIBS core;full;parallelism)
set(HPX_PARALLELISM_ENABLED_MODULES algorithms;async_base;async_combinators;async_local;execution;executors;futures;lcos_local;pack_traversal;resiliency;thread_pool_util;threading;timed_execution)
set(HPX_PLATFORM native)
set(HPX_SCHEDULER_MAX_TERMINATED_THREADS 0)
set(HPX_SERIALIZATION_WITH_ALL_TYPES_ARE_BITWISE_SERIALIZABLE OFF)
set(HPX_SERIALIZATION_WITH_BOOST_TYPES ON)
set(HPX_SOURCE_DIR /builddir/build/BUILD/hpx-1.7.1)
set(HPX_STATIC_PARCELPORT_PLUGINS parcelport_mpi;parcelport_tcp)
set(HPX_STATIC_PARCELPORT_PLUGINS_HEADERS )
set(HPX_STATIC_PARCELPORT_PLUGINS_PROPERTIES )
set(HPX_STATIC_PARCELPORT_PLUGINS_SOURCES )
set(HPX_TOPOLOGY_WITH_ADDITIONAL_HWLOC_TESTING OFF)
set(HPX_WITH_AGAS_DUMP_REFCNT_ENTRIES OFF)
set(HPX_WITH_APEX OFF)
set(HPX_WITH_ASIO_TAG asio-1-18-2)
set(HPX_WITH_ASYNC_CUDA ON)
set(HPX_WITH_ASYNC_MPI ON)
set(HPX_WITH_ATTACH_DEBUGGER_ON_TEST_FAILURE OFF)
set(HPX_WITH_AUTOMATIC_SERIALIZATION_REGISTRATION ON)
set(HPX_WITH_BENCHMARK_SCRIPTS_PATH /builddir/build/BUILD/hpx-1.7.1/openmpi/scripts)
set(HPX_WITH_BUILD_BINARY_PACKAGE ON)
set(HPX_WITH_BUILTIN_INTEGER_PACK TRUE)
set(HPX_WITH_BUILTIN_INTEGER_PACK_RESULT TRUE)
set(HPX_WITH_BUILTIN_MAKE_INTEGER_SEQ FALSE)
set(HPX_WITH_BUILTIN_MAKE_INTEGER_SEQ_RESULT FALSE)
set(HPX_WITH_BUILTIN_TYPE_PACK_ELEMENT FALSE)
set(HPX_WITH_BUILTIN_TYPE_PACK_ELEMENT_RESULT FALSE)
set(HPX_WITH_C11_ALIGNED_ALLOC FALSE)
set(HPX_WITH_C11_ALIGNED_ALLOC_RESULT FALSE)
set(HPX_WITH_CHECK_MODULE_DEPENDENCIES OFF)
set(HPX_WITH_COMPILER_WARNINGS ON)
set(HPX_WITH_COMPILER_WARNINGS_AS_ERRORS OFF)
set(HPX_WITH_COMPILE_ONLY_TESTS ON)
set(HPX_WITH_COMPRESSION_BZIP2 OFF)
set(HPX_WITH_COMPRESSION_SNAPPY OFF)
set(HPX_WITH_COMPRESSION_ZLIB OFF)
set(HPX_WITH_COROUTINE_COUNTERS OFF)
set(HPX_WITH_CUDA OFF)
set(HPX_WITH_CUDA_CLANG OFF)
set(HPX_WITH_CUDA_COMPUTE ON)
set(HPX_WITH_CXX11_ATOMIC TRUE)
set(HPX_WITH_CXX11_ATOMIC_128BIT TRUE)
set(HPX_WITH_CXX11_ATOMIC_128BIT_RESULT TRUE)
set(HPX_WITH_CXX11_ATOMIC_RESULT TRUE)
set(HPX_WITH_CXX11_SHARED_PTR_LWG3018 TRUE)
set(HPX_WITH_CXX11_SHARED_PTR_LWG3018_RESULT TRUE)
set(HPX_WITH_CXX11_STD_QUICK_EXIT TRUE)
set(HPX_WITH_CXX11_STD_QUICK_EXIT_RESULT TRUE)
set(HPX_WITH_CXX17_ALIGNED_NEW FALSE)
set(HPX_WITH_CXX17_ALIGNED_NEW_RESULT FALSE)
set(HPX_WITH_CXX17_COPY_ELISION FALSE)
set(HPX_WITH_CXX17_COPY_ELISION_RESULT FALSE)
set(HPX_WITH_CXX17_DEDUCTION_GUIDES FALSE)
set(HPX_WITH_CXX17_DEDUCTION_GUIDES_RESULT FALSE)
set(HPX_WITH_CXX17_FALLTHROUGH_ATTRIBUTE TRUE)
set(HPX_WITH_CXX17_FALLTHROUGH_ATTRIBUTE_RESULT TRUE)
set(HPX_WITH_CXX17_FILESYSTEM FALSE)
set(HPX_WITH_CXX17_FILESYSTEM_RESULT FALSE)
set(HPX_WITH_CXX17_FOLD_EXPRESSIONS FALSE)
set(HPX_WITH_CXX17_FOLD_EXPRESSIONS_RESULT FALSE)
set(HPX_WITH_CXX17_HARDWARE_DESTRUCTIVE_INTERFERENCE_SIZE FALSE)
set(HPX_WITH_CXX17_HARDWARE_DESTRUCTIVE_INTERFERENCE_SIZE_RESULT FALSE)
set(HPX_WITH_CXX17_IF_CONSTEXPR FALSE)
set(HPX_WITH_CXX17_IF_CONSTEXPR_RESULT FALSE)
set(HPX_WITH_CXX17_INLINE_CONSTEXPR_VALUE FALSE)
set(HPX_WITH_CXX17_INLINE_CONSTEXPR_VALUE_RESULT FALSE)
set(HPX_WITH_CXX17_MAYBE_UNUSED TRUE)
set(HPX_WITH_CXX17_MAYBE_UNUSED_RESULT TRUE)
set(HPX_WITH_CXX17_NODISCARD_ATTRIBUTE TRUE)
set(HPX_WITH_CXX17_NODISCARD_ATTRIBUTE_RESULT TRUE)
set(HPX_WITH_CXX17_NOEXCEPT_FUNCTIONS_AS_NONTYPE_TEMPLATE_ARGUMENTS FALSE)
set(HPX_WITH_CXX17_NOEXCEPT_FUNCTIONS_AS_NONTYPE_TEMPLATE_ARGUMENTS_RESULT FALSE)
set(HPX_WITH_CXX17_NONTYPE_TEMPLATE_PARAMETER_AUTO FALSE)
set(HPX_WITH_CXX17_NONTYPE_TEMPLATE_PARAMETER_AUTO_RESULT FALSE)
set(HPX_WITH_CXX17_SHARED_PTR_ARRAY TRUE)
set(HPX_WITH_CXX17_SHARED_PTR_ARRAY_RESULT TRUE)
set(HPX_WITH_CXX17_STD_ALIGNED_ALLOC FALSE)
set(HPX_WITH_CXX17_STD_ALIGNED_ALLOC_RESULT FALSE)
set(HPX_WITH_CXX17_STD_EXECUTION_POLICES FALSE)
set(HPX_WITH_CXX17_STD_EXECUTION_POLICES_RESULT FALSE)
set(HPX_WITH_CXX17_STD_IN_PLACE_TYPE_T FALSE)
set(HPX_WITH_CXX17_STD_IN_PLACE_TYPE_T_RESULT FALSE)
set(HPX_WITH_CXX17_STD_SCAN_ALGORITHMS FALSE)
set(HPX_WITH_CXX17_STD_SCAN_ALGORITHMS_RESULT FALSE)
set(HPX_WITH_CXX17_STD_TRANSFORM_SCAN_ALGORITHMS FALSE)
set(HPX_WITH_CXX17_STD_TRANSFORM_SCAN_ALGORITHMS_RESULT FALSE)
set(HPX_WITH_CXX17_STD_VARIANT FALSE)
set(HPX_WITH_CXX17_STD_VARIANT_RESULT FALSE)
set(HPX_WITH_CXX17_STRUCTURED_BINDINGS FALSE)
set(HPX_WITH_CXX17_STRUCTURED_BINDINGS_RESULT FALSE)
set(HPX_WITH_CXX20_COROUTINES FALSE)
set(HPX_WITH_CXX20_COROUTINES_RESULT FALSE)
set(HPX_WITH_CXX20_EXPERIMENTAL_SIMD FALSE)
set(HPX_WITH_CXX20_EXPERIMENTAL_SIMD_RESULT FALSE)
set(HPX_WITH_CXX20_LAMBDA_CAPTURE TRUE)
set(HPX_WITH_CXX20_LAMBDA_CAPTURE_RESULT TRUE)
set(HPX_WITH_CXX20_NO_UNIQUE_ADDRESS_ATTRIBUTE TRUE)
set(HPX_WITH_CXX20_NO_UNIQUE_ADDRESS_ATTRIBUTE_RESULT TRUE)
set(HPX_WITH_CXX20_PAREN_INITIALIZATION_OF_AGGREGATES FALSE)
set(HPX_WITH_CXX20_PAREN_INITIALIZATION_OF_AGGREGATES_RESULT FALSE)
set(HPX_WITH_CXX20_STD_DISABLE_SIZED_SENTINEL_FOR FALSE)
set(HPX_WITH_CXX20_STD_DISABLE_SIZED_SENTINEL_FOR_RESULT FALSE)
set(HPX_WITH_CXX20_STD_ENDIAN FALSE)
set(HPX_WITH_CXX20_STD_ENDIAN_RESULT FALSE)
set(HPX_WITH_CXX20_STD_EXECUTION_POLICES FALSE)
set(HPX_WITH_CXX20_STD_EXECUTION_POLICES_RESULT FALSE)
set(HPX_WITH_CXX_FLAG_FDIAGNOSTICS_SHOW_OPTION 1)
set(HPX_WITH_CXX_FLAG_FVISIBILITY_HIDDEN 1)
set(HPX_WITH_CXX_FLAG_PTHREAD 1)
set(HPX_WITH_CXX_FLAG_WALL 1)
set(HPX_WITH_CXX_FLAG_WCAST_ALIGN 1)
set(HPX_WITH_CXX_FLAG_WCAST_QUAL 1)
set(HPX_WITH_CXX_FLAG_WDOUBLE_PROMOTION 1)
set(HPX_WITH_CXX_FLAG_WERROR_FORMAT 1)
set(HPX_WITH_CXX_FLAG_WERROR_MISSING_BRACES 1)
set(HPX_WITH_CXX_FLAG_WERROR_PARENTHESES 1)
set(HPX_WITH_CXX_FLAG_WERROR_REORDER 1)
set(HPX_WITH_CXX_FLAG_WERROR_RETURN_TYPE 1)
set(HPX_WITH_CXX_FLAG_WERROR_SEQUENCE_POINT 1)
set(HPX_WITH_CXX_FLAG_WERROR_SIGN_COMPARE 1)
set(HPX_WITH_CXX_FLAG_WERROR_TRAMPOLINES 1)
set(HPX_WITH_CXX_FLAG_WERROR_UNINITIALIZED 1)
set(HPX_WITH_CXX_FLAG_WERROR_VLA 1)
set(HPX_WITH_CXX_FLAG_WEXTRA 1)
set(HPX_WITH_CXX_FLAG_WFORMAT_2 1)
set(HPX_WITH_CXX_FLAG_WINIT_SELF 1)
set(HPX_WITH_CXX_FLAG_WNO_ATTRIBUTES 1)
set(HPX_WITH_CXX_FLAG_WNO_CAST_ALIGN 1)
set(HPX_WITH_CXX_FLAG_WNO_DELETE_NON_VIRTUAL_DTOR 1)
set(HPX_WITH_CXX_FLAG_WNO_FORMAT_NONLITERAL 1)
set(HPX_WITH_CXX_FLAG_WNO_MAYBE_UNINITIALIZED 1)
set(HPX_WITH_CXX_FLAG_WNO_NOEXCEPT_TYPE 1)
set(HPX_WITH_CXX_FLAG_WNO_SIGN_PROMO 1)
set(HPX_WITH_CXX_FLAG_WNO_STRICT_ALIASING 1)
set(HPX_WITH_CXX_FLAG_WNO_SYNC_NAND 1)
set(HPX_WITH_CXX_FLAG_WNO_UNUSED_BUT_SET_PARAMETER 1)
set(HPX_WITH_CXX_FLAG_WNO_UNUSED_BUT_SET_VARIABLE 1)
set(HPX_WITH_CXX_FLAG_WNO_UNUSED_LOCAL_TYPEDEFS 1)
set(HPX_WITH_DATAPAR_VC OFF)
set(HPX_WITH_DEPRECATION_WARNINGS ON)
set(HPX_WITH_DISABLED_SIGNAL_EXCEPTION_HANDLERS OFF)
set(HPX_WITH_DISTRIBUTED_RUNTIME ON)
set(HPX_WITH_DOCUMENTATION OFF)
set(HPX_WITH_DYNAMIC_HPX_MAIN ON)
set(HPX_WITH_EXAMPLES ON)
set(HPX_WITH_EXAMPLES_HDF5 OFF)
set(HPX_WITH_EXAMPLES_OPENMP OFF)
set(HPX_WITH_EXAMPLES_QT4 OFF)
set(HPX_WITH_EXAMPLES_QTHREADS OFF)
set(HPX_WITH_EXAMPLES_TBB OFF)
set(HPX_WITH_EXECUTABLE_PREFIX )
set(HPX_WITH_FAIL_COMPILE_TESTS ON)
set(HPX_WITH_FAULT_TOLERANCE OFF)
set(HPX_WITH_FETCH_ASIO OFF)
set(HPX_WITH_FULL_RPATH ON)
set(HPX_WITH_GCC_VERSION_CHECK ON)
set(HPX_WITH_GENERIC_CONTEXT_COROUTINES ON)
set(HPX_WITH_GOOGLE_PERFTOOLS OFF)
set(HPX_WITH_HIDDEN_VISIBILITY ON)
set(HPX_WITH_HIP OFF)
set(HPX_WITH_INIT_START_OVERLOADS_COMPATIBILITY OFF)
set(HPX_WITH_IO_COUNTERS ON)
set(HPX_WITH_IO_POOL ON)
set(HPX_WITH_ITTNOTIFY OFF)
set(HPX_WITH_LOGGING ON)
set(HPX_WITH_MALLOC tcmalloc)
set(HPX_WITH_MAX_CPU_COUNT 64)
set(HPX_WITH_MAX_NUMA_DOMAIN_COUNT 8)
set(HPX_WITH_MM_PREFETCH FALSE)
set(HPX_WITH_MM_PREFETCH_RESULT FALSE)
set(HPX_WITH_NETWORKING ON)
set(HPX_WITH_NICE_THREADLEVEL OFF)
set(HPX_WITH_PAPI OFF)
set(HPX_WITH_PARALLEL_TESTS_BIND_NONE OFF)
set(HPX_WITH_PARCELPORT_ACTION_COUNTERS OFF)
set(HPX_WITH_PARCELPORT_LIBFABRIC OFF)
set(HPX_WITH_PARCELPORT_MPI ON)
set(HPX_WITH_PARCELPORT_MPI_ENV MV2_COMM_WORLD_RANK;PMI_RANK;OMPI_COMM_WORLD_SIZE;ALPS_APP_PE;PMIX_RANK)
set(HPX_WITH_PARCELPORT_MPI_MULTITHREADED ON)
set(HPX_WITH_PARCELPORT_TCP ON)
set(HPX_WITH_PARCEL_COALESCING ON)
set(HPX_WITH_PARCEL_PROFILING OFF)
set(HPX_WITH_PKGCONFIG ON)
set(HPX_WITH_PRECOMPILED_HEADERS OFF)
set(HPX_WITH_PSEUDO_DEPENDENCIES ON)
set(HPX_WITH_RPM OFF)
set(HPX_WITH_RUN_MAIN_EVERYWHERE OFF)
set(HPX_WITH_SANITIZERS OFF)
set(HPX_WITH_SCHEDULER_LOCAL_STORAGE OFF)
set(HPX_WITH_SPINLOCK_DEADLOCK_DETECTION OFF)
set(HPX_WITH_SPINLOCK_POOL_NUM 128)
set(HPX_WITH_STABLE_INPLACE_MERGE TRUE)
set(HPX_WITH_STABLE_INPLACE_MERGE_RESULT TRUE)
set(HPX_WITH_STACKOVERFLOW_DETECTION OFF)
set(HPX_WITH_STACKTRACES ON)
set(HPX_WITH_STACKTRACES_DEMANGLE_SYMBOLS ON)
set(HPX_WITH_STACKTRACES_STATIC_SYMBOLS OFF)
set(HPX_WITH_STATIC_LINKING OFF)
set(HPX_WITH_TARGET_ARCHITECTURE arm)
set(HPX_WITH_TESTS ON)
set(HPX_WITH_TESTS_BENCHMARKS ON)
set(HPX_WITH_TESTS_DEBUG_LOG OFF)
set(HPX_WITH_TESTS_DEBUG_LOG_DESTINATION cout)
set(HPX_WITH_TESTS_EXAMPLES ON)
set(HPX_WITH_TESTS_EXTERNAL_BUILD ON)
set(HPX_WITH_TESTS_HEADERS OFF)
set(HPX_WITH_TESTS_MAX_THREADS_PER_LOCALITY 0)
set(HPX_WITH_TESTS_REGRESSIONS ON)
set(HPX_WITH_TESTS_UNIT ON)
set(HPX_WITH_THREAD_BACKTRACE_DEPTH 20)
set(HPX_WITH_THREAD_BACKTRACE_ON_SUSPENSION OFF)
set(HPX_WITH_THREAD_CREATION_AND_CLEANUP_RATES OFF)
set(HPX_WITH_THREAD_CUMULATIVE_COUNTS ON)
set(HPX_WITH_THREAD_DEBUG_INFO OFF)
set(HPX_WITH_THREAD_DESCRIPTION_FULL OFF)
set(HPX_WITH_THREAD_GUARD_PAGE ON)
set(HPX_WITH_THREAD_IDLE_RATES OFF)
set(HPX_WITH_THREAD_LOCAL_STORAGE OFF)
set(HPX_WITH_THREAD_MANAGER_IDLE_BACKOFF ON)
set(HPX_WITH_THREAD_QUEUE_WAITTIME OFF)
set(HPX_WITH_THREAD_STACK_MMAP ON)
set(HPX_WITH_THREAD_STEALING_COUNTS OFF)
set(HPX_WITH_THREAD_TARGET_ADDRESS OFF)
set(HPX_WITH_TIMER_POOL ON)
set(HPX_WITH_TOOLS OFF)
set(HPX_WITH_TUPLE_RVALUE_SWAP ON)
set(HPX_WITH_UNISTD_H TRUE)
set(HPX_WITH_UNISTD_H_RESULT TRUE)
set(HPX_WITH_UNITY_BUILD OFF)
set(HPX_WITH_VALGRIND OFF)
set(HPX_WITH_VERIFY_LOCKS OFF)
set(HPX_WITH_VERIFY_LOCKS_BACKTRACE OFF)
set(HPX_WITH_VERIFY_LOCKS_GLOBALLY OFF)
set(HPX_WITH_VIM_YCM OFF)
set(HPX_WITH_ZERO_COPY_SERIALIZATION_THRESHOLD 128)

